Cards, prop trading & accounting
Prop Trading Get Funding Quote
Builds the firm's funding quote (obligations, converted totals via Xe rates) plus payment reference and instructions.
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/prop-trading-get-funding-quote' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fundingCurrencies": [
"string"
]
}'{
"byCurrency": [
{
"currencyCode": "string",
"required": "string",
"recorded": "string",
"committed": "string",
"paid": "string",
"available": "string",
"shortfall": "string",
"pendingPayoutCount": 0
}
],
"traderReceipts": [
{
"payoutCurrency": "string",
"legCount": 0,
"indicativeAmount": "string",
"pairs": [
{
"importCurrency": "string",
"midRate": "string",
"markupBps": 0,
"effectiveRate": "string",
"ratePulledAt": "string"
}
]
}
],
"fundingConversions": [
{
"fundingCurrency": "string",
"importCurrency": "string",
"shortfall": "string",
"midRate": "string",
"markupBps": 0,
"effectiveRate": "string",
"indicativeAmount": "string",
"ratePulledAt": "string"
}
],
"markupBps": 0,
"quotedAt": "string",
"warnings": [
"XE_NOT_CONFIGURED"
],
"fundingCurrencies": [
"string"
],
"fundingInstructions": {
"reference": "string",
"text": "string"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fundingCurrenciesstring[]Allowed: at most 10 items
Response
200Successful response
byCurrencyobject[]requiredShow child attributes
currencyCodestringrequiredrequiredstringrequiredAllowed: matches ^-?\d+(\.\d+)?$
recordedstringrequiredAllowed: matches ^-?\d+(\.\d+)?$
committedstringrequiredAllowed: matches ^-?\d+(\.\d+)?$
paidstringrequiredAllowed: matches ^-?\d+(\.\d+)?$
availablestringrequiredAllowed: matches ^-?\d+(\.\d+)?$
shortfallstringrequiredAllowed: matches ^-?\d+(\.\d+)?$
pendingPayoutCountintegerrequiredtraderReceiptsobject[]requiredShow child attributes
payoutCurrencystringrequiredlegCountintegerrequiredindicativeAmountstring | nullrequiredAllowed: matches ^-?\d+(\.\d+)?$
pairsobject[]requiredShow child attributes
importCurrencystringrequiredmidRatestring | nullrequiredAllowed: matches ^-?\d+(\.\d+)?$
markupBpsintegerrequiredeffectiveRatestring | nullrequiredAllowed: matches ^-?\d+(\.\d+)?$
ratePulledAtstring | nullrequiredfundingConversionsobject[]requiredShow child attributes
fundingCurrencystringrequiredimportCurrencystringrequiredshortfallstringrequiredAllowed: matches ^-?\d+(\.\d+)?$
midRatestring | nullrequiredAllowed: matches ^-?\d+(\.\d+)?$
markupBpsintegerrequiredeffectiveRatestring | nullrequiredAllowed: matches ^-?\d+(\.\d+)?$
indicativeAmountstring | nullrequiredAllowed: matches ^-?\d+(\.\d+)?$
ratePulledAtstring | nullrequiredmarkupBpsintegerrequiredquotedAtstringrequiredwarningsstring[]requiredfundingCurrenciesstring[]requiredfundingInstructionsobjectrequiredShow child attributes
referencestringrequiredtextstringrequired